$(function(){

	/* INTERFACE BINDINGS */
	var $downloadFile = $('#downloadFile');	
	// capture the submit event for the downloading of images
	$downloadFile.bind('submit', function(e){
		// stop the default submit action
		e.preventDefault();
		// get the URL found in the text field
		var url = $('#fileURL',$downloadFile).val()
		// and the location from the select box
		var location = $('#downloadTo',$downloadFile).val()
		// make sure we have a valid URL
		if (url=='') {
			alert('Please enter a valid URL');			
		} else {
			// trigger the download
			downloadFile(url, location);
		}

	});

	/* FUNCTION DEFINITIONS */
	function downloadFile(remoteFile, location) {
		// get just the filename from the remote file
		var fn = remoteFile.match(/[a-z0-9-+\._]+?$/i);
		// desktop directory or app storage directory?
		var storage = (location == 'desktop') ? 'desktopDirectory' : 'applicationStorageDirectory';
		var localFile = air.File[storage].resolvePath( fn );
		var stream = new air.URLStream();
		stream.addEventListener(air.Event.COMPLETE, function(e){
			var fileData = new air.ByteArray();
			stream.readBytes(fileData,0,stream.bytesAvailable);
			var fileStream = new air.FileStream();
			fileStream.openAsync(localFile, air.FileMode.WRITE);
			fileStream.writeBytes(fileData,0);
			fileStream.close();
			air.trace('complete');	
		});
		stream.addEventListener(air.ProgressEvent.PROGRESS, function(e){
			var loaded = Math.round(e.bytesLoaded);
			var total = Math.round(e.bytesTotal);
			drawProgressBar(loaded,total);
		});
		stream.load(new air.URLRequest(remoteFile));
	}

	function drawProgressBar(loaded,total) {
		var barWidth = 500;
		var percentWidth = Math.round( barWidth * (loaded / total) );
		var wf = document.getElementById('progressBar');
		var c = wf.getContext('2d');
		c.fillRect(0, 0, percentWidth, 20);
	}

});






















